sub sg1000filvrm(tvl as uinteger, tlen as uinteger, tvram as uinteger):
  asm
    ld a,(ix+4)
    ld b,(ix+7)
    ld c,(ix+6)
    ld h,(ix+9)
    ld l,(ix+8)

    filvrm:
    di
    ld d,a
    ld a,l
    out ($bf),a
    ld a,h
    or 040h ;????????
    out ($bf),a

    filvrm_loop:
    out ($be),d
    inc hl
    dec bc
    ld a,b
    or c
    jr nz,filvrm_loop
    ei

    end asm
  end sub

'-------------------------------------------------------------------------------
'FILVRM
'Address  : #0056
'Function : fill VRAM with value
'Input    : A  - data byte
'           BC - length of the area to be written
'           HL - start address
'Registers: AF, BC
