sub sg1000ldirmv(tlen as uinteger, tram as uinteger, tvram as uinteger):
  asm
    ld b,(ix+5)
    ld c,(ix+4)
    ld d,(ix+7)
    ld e,(ix+6)
    ld h,(ix+9)
    ld l,(ix+8)

    ldirvm:
    di
    ld a,l
    out ($bf),a
    ld a,h
    out ($bf),a

    ldirvm_loop:
    in a,($be)
    ld (de),a
    inc de
    dec bc
    ld a,b
    or c
    jr nz,ldirvm_loop

    end asm
  end sub

'-------------------------------------------------------------------------------
'LDIRMV (msx)
'Address  : #0059
'Function : Block transfer to memory from VRAM
'Input    : BC - blocklength
'           DE - Start address of memory
'           HL - Start address of VRAM
'Registers: All
